regina::Dim2VertexEmbedding Class Reference
2-Manifold Triangulations

Details how a vertex in the skeleton of a 2-manifold triangulation forms part of an individual triangle. More...

`#include <dim2/dim2vertex.h>`

## Public Member Functions

| Dim2VertexEmbedding ()
| Default constructor. More...
| Dim2VertexEmbedding (Dim2Triangle *tri, int vertex)
| Creates an embedding descriptor containing the given data. More...
| Dim2VertexEmbedding (const Dim2VertexEmbedding &cloneMe)
| Creates an embedding descriptor containing the same data as the given embedding descriptor. More...
Dim2VertexEmbedding & | operator= (const Dim2VertexEmbedding &cloneMe)
| Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor. More...
Dim2Triangle * | getTriangle () const
| Returns the triangle in which this vertex is contained. More...
int | getVertex () const
| Returns the vertex number within getTriangle() that is this vertex. More...
NPerm3 | getVertices () const
| Returns a permutation that maps 0 to the vertex number within getTriangle() that is this vertex. More...

## Detailed Description

Details how a vertex in the skeleton of a 2-manifold triangulation forms part of an individual triangle.

## Constructor & Destructor Documentation

regina::Dim2VertexEmbedding::Dim2VertexEmbedding | ( |  | ) |

inline

Default constructor.

The embedding descriptor created is unusable until it has some data assigned to it using `operator =`.

Python:
  Not present.

regina::Dim2VertexEmbedding::Dim2VertexEmbedding | ( | Dim2Triangle * | tri,
|  | int | vertex
| ) |  |

inline

Creates an embedding descriptor containing the given data.

Parameters

  tri | the triangle in which this vertex is contained.
  vertex | the vertex number of tri that is this vertex.

regina::Dim2VertexEmbedding::Dim2VertexEmbedding | ( | const Dim2VertexEmbedding & | cloneMe | ) |

inline

Creates an embedding descriptor containing the same data as the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

## Member Function Documentation

Dim2Triangle * regina::Dim2VertexEmbedding::getTriangle | ( |  | ) | const

inline

Returns the triangle in which this vertex is contained.

Returns
  the triangle.

int regina::Dim2VertexEmbedding::getVertex | ( |  | ) | const

inline

Returns the vertex number within getTriangle() that is this vertex.

Returns
  the vertex number that is this vertex.

NPerm3 regina::Dim2VertexEmbedding::getVertices | ( |  | ) | const

inline

Returns a permutation that maps 0 to the vertex number within getTriangle() that is this vertex.

This permutation also maps (1,2) to the two remaining triangle vertices in a manner that preserves orientation as you walk around the vertex. See Dim2Triangle::getVertexMapping() for details.

Returns
  a permutation that maps 0 to the corresponding vertex number of getTriangle().

Dim2VertexEmbedding & regina::Dim2VertexEmbedding::operator= | ( | const Dim2VertexEmbedding & | cloneMe | ) |

inline

Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

The documentation for this class was generated from the following file:

- dim2/dim2vertex.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).